Subject: Re: [IPP] marker-waste-missing

From: Ira McDonald <[email-masked]>
Date: Tue, 19 Nov 2013 12:33:12 -0500

Hi Lee,

Thanks for your good question.  I think we just forgot about an error
for marker waste receptacle missing - which would make an awful
mess if ignored, right?

Could you please list the complete set of marker-xxx-missing values
that you think should be added?

I've copied the IPP WG mailing list (where any IPP attribute update
should be discussed).  This is a special case because there's an
equivalent Printer MIB v2 Textual Conventions update needed as
well (for SNMP-based imaging device management).

If you have not already subscribed to the IPP WG mailing list, please
do so at:

  https://www.pwg.org/mailman/listinfo/ipp

The IPP WG has important extension specs in progress for IPP
Everywhere Self-Certification (for permission to use the PWG Logo
on packaging materials and products), IPP Shared Infrastructure
Extensions (Cloud printing), IPP Scan Service, IPP Implementor's
Guide 2.0 (updates RFC 3196), IPP Finishings 2.0, and (soon) IPP
System Control Service (for management of all installed imaging
services on an MFD).

Cheers,
- Ira (co-chair of IPP WG)

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Tue, Nov 19, 2013 at 12:14 PM, Hills, Lee D <[email-masked]> wrote:

>  Hi,
>
>
>
> This is the first time I have contacted the PWG.  I am not sure who to
> contact with my question.
>
>
>
> When a marker-waste tray is removed from the printer, what status should
> be used?  I was thinking there would be a marker-waste-missing or something
> like that, but did not notice one.
>
>
>
> It seems like there are a few other marker-xxx-missing names that could be
> useful.
>
>
>
> Do you have any recommendations?
>
>
>
> Thank you,
>
>   Lee
>
>
>
>
>
>
>
> http://www.pwg.org/ipp/ipp-registrations.xml
>
>
>
> printer-state-reasons
>
> marker-waste-almost-full
>
> 1setOf type2 keyword
>
> [RFC2911 <http://www.iana.org/go/rfc2911>]
>
> printer-state-reasons
>
> marker-waste-full
>
> 1setOf type2 keyword
>
> [RFC2911 <http://www.iana.org/go/rfc2911>]
>
> printer-state-reasons
>
> marker-waste-ink-receptacle-almost-full
>
> 1setOf type2 keyword
>
> [PWG5100.9<ftp://ftp.pwg.org/pub/pwg/candidates/cs-ippstate10-20090731-5100.9.pdf>
> ]
>
> printer-state-reasons
>
> marker-waste-ink-receptacle-full
>
> 1setOf type2 keyword
>
> [PWG5100.9<ftp://ftp.pwg.org/pub/pwg/candidates/cs-ippstate10-20090731-5100.9.pdf>
> ]
>
> printer-state-reasons
>
> marker-waste-toner-receptacle-almost-full
>
> 1setOf type2 keyword
>
> [PWG5100.9<ftp://ftp.pwg.org/pub/pwg/candidates/cs-ippstate10-20090731-5100.9.pdf>
> ]
>
> printer-state-reasons
>
> marker-waste-toner-receptacle-full
>
> 1setOf type2 keyword
>
> [PWG5100.9<ftp://ftp.pwg.org/pub/pwg/candidates/cs-ippstate10-20090731-5100.9.pdf>
> ]
>
>
>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp